AdvancedSearch FormFields: Let enter create a tag, but another enter start the search
Closed, ResolvedPublic

Description

Motivation
When you click enter, your typed letters are turned into a tag. This allows the users to enter multiple tags into one field, without creating confusion which words are considered as one entity.
However, we also want to allow users to quickly start their search.

Task

  • If users are in a field with content that has not yet been turned into a tag, create a tag if enter is pressed.
  • If users are in a field with tags only (or nothing in it), start the search if enter is pressed
Lea_WMDE created this task.May 15 2017, 9:17 AM

After looking into the code and talking to Moriel, the best way to implement this is to subclass the widget and override its doInputEnter method.

Lea_WMDE renamed this task from Search prototype: Let enter create a tag, but another enter start the search to AdvancedSearch FormFields: Let enter create a tag, but another enter start the search.May 30 2017, 4:26 PM
Lea_WMDE moved this task from Backlog to Test results on the Advanced-Search board.Jun 7 2017, 2:42 PM
Tobi_WMDE_SW closed this task as Resolved.Jul 5 2017, 8:15 AM
Tobi_WMDE_SW claimed this task.